Subject: Problems with wuarchive on an IRIX 5.3 machine

From: [email-masked] (Karen Brown Foster)
Date: Wed, 8 Nov 1995 08:48:13 -0500

Hello everyone:

I am relatively new to this list.  I am trying to set up wuarchive on an SGI
machine running IRIX 5.3.  I have successfully compiled all of the binaries, I
have set up the directory structure according to documention I've read in the
"Managing Internet Information Services" book to the best of my ability.  When
I try connecting to my archive, I receive the following message:

  ftp: connect: Connection refused

I am enclosing a listing of important files and of my directory structure.  Any
help with this problem would very much be appreciated.

Thanks in advance,

Karen Foster

#
# The following is a listing of the ftp home directory structure
#

d--x--x--x    2 root     sys          512 Oct 12 09:54 bin
d--x--x--x    3 root     sys          512 Oct 19 15:59 etc
d--x--x--x    2 root     sys          512 Oct 11 16:48 lib
dr-xr-xr-x    2 root     sys          512 Oct 12 12:28 pub

./bin:

lrwxr-xr-x    1 root     sys           17 Oct 12 09:51 compress ->
/usr/bsd/compress
lrwxr-xr-x    1 root     sys           21 Oct 12 09:54 gunzip ->
/usr/local/bin/gunzip
lrwxr-xr-x    1 root     sys           19 Oct 12 09:54 gzip ->
/usr/local/bin/gzip
---x--x--x    1 root     sys        31856 Oct 11 16:07 ls
lrwxr-xr-x    1 root     sys           19 Oct 12 09:52 uncompress ->
/usr/bsd/uncompress

./etc:

d--x--x--x    2 root     sys          512 Nov  8 08:10 ftpmsgs
-r--r--r--    1 root     sys           33 Oct 11 16:21 group
-r--r--r--    1 root     sys          103 Oct 11 16:56 passwd

./etc/ftpmsgs:

lrwxr-xr-x    1 root     sys           23 Nov  8 08:09 msg.denied ->
/etc/ftpmsgs/msg.denied
lrwxr-xr-x    1 root     sys           21 Nov  8 08:09 msg.full ->
/etc/ftpmsgs/msg.full
lrwxr-xr-x    1 root     sys           24 Nov  8 08:10 msg.welcome ->
/etc/ftpmsgs/msg.welcome

./lib:

---x--x--x    1 root     sys      1483100 Oct 11 16:43 libc.so.1
-r-xr-xr-x    1 root     sys       585876 Oct 11 16:48 rld

./pub:

-r--r--r--    1 root     sys           15 Oct 11 16:57 file1
-r--r--r--    1 root     sys           15 Oct 11 16:57 file2
-r--r--r--    1 root     sys           37 Oct 11 16:57 file3
-r--r--r--    1 root     sys         1950 Oct 12 12:28 nmfs.gov.zone.Z

#
# The following is a listing of the /usr/local/etc directory
#

-rw-------    1 root     sys          456 Nov  8 08:02 ftpaccess
-rw-------    1 root     sys          243 Oct 30 15:53 ftpconversions
-rwxr-xr-x    1 bin      bin       187444 Sep 11 12:40 ftpd
-rwxr-xr-x    1 root     sys       187444 Sep 11 16:28 ftpd-old

#
# The following is a listing of the /usr/local/daemon directory
#

drwxr-xr-x    2 root     sys          512 Oct 31 16:33 ftpd

#
# The following is a listing of /usr/local/etc/ftpaccess
#

class   all   real,guest,anonymous  *

deny !nameserved                    /etc/ftpmsg/msg.denied

limit   all   10   Any              /etc/msgs/msg.full

loginfails 3

chmod no anonymous
delete no anonymous
overwrite no anonymous
rename no anonymous
umask no anonymous

passwd-check trivial warn

email [email-masked]

message /etc/ftpmsgs/msg.welcome  login all

log commands anonymous
log transfers anonymous outbound

email user@hostname

#
# The following is a lising of /etc/ftpusers
#

root
sysadm
diag
daemon
bin
uucp
sys
adm
lp
nuucp
auditor
dbadmin
rfindd
EZsetup
demos
OutOfBox
4Dgifts
nobody
noaccess

#
# The following is a listing of /usr/local/etc/ftpconversions
#

 :.Z:  :  :/bin/uncompress -c %s:T_REG|T_ASCII:O_UNCOMPRESS:UNCOMPRESS
 :   : :.Z:/bin/compress -c %s:T_REG:O_COMPRESS:COMPRESS
 :.gz: :  :/bin/gzip -cd %s:T_REG|T_ASCII:O_UNCOMPRESS:GUNZIP
 :   : :.gz:/bin/gzip -9 -c %s:T_REG:O_COMPRESS:GZIP

-- 
Karen Brown Foster
Unix System Administrator
Fisheries Statitics Division
National Marine Fisheries Service
(301) 713-2316  VOICE
(301) 713-4137  FAX
[email-masked]